XYNAGIOS(1)

NAME
xynagios - adaptor for using Nagios checks with Xymon

SYNOPSIS
xynagios [options --] plugin [options ...]

DESCRIPTION
xynagios runs a Nagios check, and reports its output in a way compatible with the Xymon (Hobbit, BB) monitoring system.

The Xymon test name is taken from the plugin output if it starts with test_name OK|WARNING|CRITICAL|ERROR|UNKNOWN:. Otherwise, the basename of the plugin filename is used. A check_ prefix is removed for brevity.

OPTIONS

--hostname=host
    Report tests as this host.

--strip=prefix
    Remove prefix (regexp) from test names. The prefix "check_" is always removed before stripping other prefixes. Useful for trimming down overly verbose Nagios test names, e.g. "check_postgres_database_size" to "database_size".

--test=name
    Test name to submit. Per default, the test name is derived from the plugin output, or from the plugin name, if the output doesn't indicate the name.

--help
--version
    Print help text and version, and exit.

Options for sending RRD trends messages. If any of these is set, a data host.trends message is sent.

--trends
    In addition to printing performance data in the status report (suitable for the NCV/SPLITNCV xymond_rrd modules), send in a data report for hostname.trends. This rrd module is more robust.

--ds=name
    The data source (DS) name used in the RRD files, defaults to lambda.

--dst=type
    The data source type used in the RRD files. Useful values are GAUGE (the default), COUNTER, DCOUNTER, DERIVE, DDERIVE, and ABSOLUTE. See rrdcreate(1) for details.

--heartbeat=secs
    RRD heartbeat in seconds, default is 600.

--min=N
    Data source minimum value, default is U for unknown.

--max=N
    Data source maximum value, default is U for unknown.

SEE ALSO
xymon(7), xymon(1), xymoncmd(1), nagios3(8).

AUTHOR
Christoph Berg <myon@debian.org>

LICENSE AND COPYRIGHT
Copyright (c) Christoph Berg <myon@debian.org>

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.